import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class ClockView extends JPanel {

    private Counter secsCounter;

    public ClockView (int h, int m, int s) {
        Counter hoursCounter = new ChainedCounter(h,24,null);
        Counter minsCounter = new ChainedCounter(m,60,hoursCounter);
        secsCounter = new ChainedCounter(s,60,minsCounter);

        CounterPanel hours = new CounterPanel(hoursCounter);
        CounterPanel mins = new CounterPanel(minsCounter);
        CounterPanel secs = new CounterPanel(secsCounter);
        mins.setBackground(Color.GRAY);

        setLayout(new BorderLayout());
        setPreferredSize(new Dimension(570,130));
        add(hours,BorderLayout.WEST);
        add(mins,BorderLayout.CENTER);
        add(secs,BorderLayout.EAST);

        Timer timer = new Timer(1000,new SecListener());
        timer.start();
    }

    private class SecListener implements ActionListener {
        public void actionPerformed(ActionEvent e) {
            secsCounter.count();
            repaint();
        }
    }
}