import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class ClockView extends JPanel { 

    private Counter secs, secsCounter, centiSecsCounter;
    private CounterPanel centiSecs;
    Timer timer;

    public ClockView (int m, int s) {
        secsCounter = new ChainedCounter(m,60,null);
        centiSecsCounter = new ChainedCounter(s,100,secsCounter);

        CounterPanel secs = new CounterPanel(secsCounter);
        centiSecs = new CounterPanel(centiSecsCounter);
        secs.setBackground(Color.GRAY);

        setLayout(new BorderLayout());
        setPreferredSize(new Dimension(380,130));
        add(secs,BorderLayout.WEST);
        add(centiSecs,BorderLayout.EAST);
        timer = new Timer(10,new SecListener());
    }

    private class SecListener implements ActionListener {
        public void actionPerformed(ActionEvent e) {
            centiSecsCounter.count();
            repaint();
        }
    }

    public void start() {
        centiSecs.setBackground(Color.RED);
        timer.start();
    }

    public void stop() {
        timer.stop();
        centiSecs.setBackground(Color.BLACK);
    }

    public void reset() {
        secsCounter.reset();
        centiSecsCounter.reset();
        repaint();
    }
}