import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class CounterView extends JPanel {

    private Counter ctr;
    private CounterPanel panel;

    public CounterView (Counter ctr) {
        this.ctr = ctr;
        panel = new CounterPanel(ctr);
        JButton countButton = new JButton("Count");
        JButton resetButton = new JButton("Reset");
        countButton.addActionListener(new CountListener());
        resetButton.addActionListener(new ResetListener());
        setLayout(new BorderLayout());
        add(panel,BorderLayout.NORTH);
        add(countButton,BorderLayout.WEST);
        add(resetButton,BorderLayout.EAST);
        setOpaque(true);
    }

    private class CountListener implements ActionListener {
        public void actionPerformed (ActionEvent e) {
            ctr.count();
            panel.repaint();
        }
    }    

    private class ResetListener implements ActionListener {
        public void actionPerformed (ActionEvent e) {
            ctr.reset();
            panel.repaint();
        }
    }
}