public class ChainedCounter implements Counter { 

    private int value;
    private int modulus;
    private Counter next;

    public ChainedCounter(int init, int modulus, Counter next) {
        value = init;
        this.modulus = modulus;
        this.next = next;
    }

    public void count() {
        value = (value+1)%modulus;
        if (value==0 && next != null) next.count();
    }

    public void reset() {value=0;}

    public int getValue() {return value;}
}
